The upstream changelog is now part of the Handbook (manual):

	https://musescore.org/en/handbook/developers-handbook/release-notes/release-notes-musescore-2/release-notes-musescore-232

Previous release notes can be found here:

	https://musescore.org/en/handbook/developers-handbook/release-notes
